net.sf.saxon.regex

## Class Categories

- java.lang.Object
- - net.sf.saxon.regex.Categories

-     public class Categories
      extends Object

  Data for Regular expression character categories. This is derived from Unicode 6.0.0. Since Saxon 9.4, we no longer make use of Java's support for character categories since there are too many differences from Unicode.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static IntPredicate` | `ESCAPE_c`
    `static IntPredicate` | `ESCAPE_C`
    `static IntPredicate` | `ESCAPE_d`
    `static IntPredicate` | `ESCAPE_D`
    `static IntPredicate` | `ESCAPE_i`
    `static IntPredicate` | `ESCAPE_I`
    `static IntPredicate` | `ESCAPE_s`
    `static IntPredicate` | `ESCAPE_S`
    `static IntPredicate` | `ESCAPE_w`
    `static IntPredicate` | `ESCAPE_W`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Categories()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IntPredicate` | `getCategory(String cat)` Get a predicate to test characters for membership of one of the Unicode character categories

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ESCAPE_s

          public static final IntPredicate ESCAPE_s

    - #### ESCAPE_S

          public static final IntPredicate ESCAPE_S

    - #### ESCAPE_i

          public static final IntPredicate ESCAPE_i

    - #### ESCAPE_I

          public static final IntPredicate ESCAPE_I

    - #### ESCAPE_c

          public static final IntPredicate ESCAPE_c

    - #### ESCAPE_C

          public static final IntPredicate ESCAPE_C

    - #### ESCAPE_d

          public static final IntPredicate ESCAPE_d

    - #### ESCAPE_D

          public static final IntPredicate ESCAPE_D

    - #### ESCAPE_w

          public static final IntPredicate ESCAPE_w

    - #### ESCAPE_W

          public static final IntPredicate ESCAPE_W

  - ### Constructor Detail

    - #### Categories

          public Categories()

  - ### Method Detail

    - #### getCategory

          public static IntPredicate getCategory(String cat)

      Get a predicate to test characters for membership of one of the Unicode character categories
      Parameters:
        `cat` - a one-character or two-character category name, for example L or Lu
      Returns:
        a predicate that tests whether a given character belongs to the category

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.